SNOWDROP
========

Snowdrop is a utility package that contains JBoss-specific extensions to the Spring Framework. These extensions are either:

        extensions to Spring Framework classes that can be used wherever the generic implementations provided by the framework do not integrate correctly with JBoss Enterprise Platforms.

        extensions for deploying and running Spring applications with the JBoss Enterprise Platforms (JBoss Enterprise Application Platform and JBoss Enterprise Web Platform).

Usage/Setup:
---------
Deployments can also be configured to exclude specific implicit dependencies. This is done with the 
**jboss-deployment-structure.xml** deployment descriptor file. This is commonly done when an application bundles a specific 
version of a library that the application server will attempt to add as an implicit dependency.

Supported Version:
------------------
Snowdrop 3.x works with the following version of JBoss EAP 6.0.0, 6.0.1, 6.1.0, 6.1.1

Build:
---------

_NOTE: You don't need to build if you wish to use a released version of snowdrop, just continue from the Install section._

`mvn clean install`

Install snowdrop:
-----------------

`cd install`

`mvn package -P${desired-spring-version} -DJBOSS_HOME=/path/to/jboss_home -Dversion.snowdrop=${snowdrop.version}`


Uninstall snowdrop:
-------------------

For EAP 6.1.Alpha1 or higher, delete `$JBOSS_HOME/modules/system/add-ons/snowdrop`

Finally, delete `$JBOSS_HOME/standalone/standalone-snowdrop.xml`.
